> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.sortx.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Add general contact

> Add a general contact (next of kin, advocate, council, solicitor…) with the properties and occupier they are linked to



## OpenAPI

````yaml /openapi.json post /contacts/general
openapi: 3.1.0
info:
  title: SortX API
  version: 1.0.0
  description: >-
    Reactive repairs, planned maintenance, compliance and the repairs desk for
    UK letting agents and property managers.
servers:
  - url: https://api.sortx.co.uk
    description: Production
security: []
tags:
  - name: tenants
  - name: entitlements
  - name: events
  - name: workspace-settings
  - name: operational-catalogues
  - name: money
  - name: contacts
  - name: properties
  - name: address-lookup
  - name: tenancies
  - name: contractor-invoices
  - name: keys
  - name: inspections
  - name: handovers
  - name: planned-maintenance
  - name: contractors
  - name: company-onboarding
  - name: documents
  - name: compliance
  - name: activity
  - name: tasks
  - name: today
  - name: desk
  - name: people
  - name: property-boards
  - name: reports
  - name: workspace-search
  - name: calendar
  - name: telephony
  - name: maintenance-pro
  - name: front-desk
  - name: maintenance-pro-public
  - name: maintenance-pro-contractor
paths:
  /contacts/general:
    post:
      tags:
        - contacts
      summary: Add general contact
      description: >-
        Add a general contact (next of kin, advocate, council, solicitor…) with
        the properties and occupier they are linked to
      operationId: contacts.addGeneralContact
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddGeneralContactBody'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  kind:
                    type: string
                  name:
                    type: string
                  firstName:
                    anyOf:
                      - type: string
                      - type: 'null'
                  lastName:
                    anyOf:
                      - type: string
                      - type: 'null'
                  email:
                    anyOf:
                      - type: string
                      - type: 'null'
                  mobile:
                    anyOf:
                      - type: string
                      - type: 'null'
                  addressLine1:
                    anyOf:
                      - type: string
                      - type: 'null'
                  addressLine2:
                    anyOf:
                      - type: string
                      - type: 'null'
                  addressTown:
                    anyOf:
                      - type: string
                      - type: 'null'
                  addressPostcode:
                    anyOf:
                      - type: string
                      - type: 'null'
                  overseas:
                    type: boolean
                  archivedAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                  createdAt:
                    type: string
                  roles:
                    type: array
                    items:
                      type: string
                  companyId:
                    anyOf:
                      - type: string
                      - type: 'null'
                  companyRevision:
                    anyOf:
                      - anyOf:
                          - type: number
                          - type: string
                            enum:
                              - Infinity
                              - '-Infinity'
                              - NaN
                      - type: 'null'
                  companyRole:
                    anyOf:
                      - type: string
                      - type: 'null'
                  companyLinkRevision:
                    anyOf:
                      - type: number
                      - type: string
                        enum:
                          - Infinity
                          - '-Infinity'
                          - NaN
                  mergedIntoId:
                    anyOf:
                      - type: string
                      - type: 'null'
                  mergedAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                  accessNeeds:
                    type: array
                    items:
                      type: string
                      enum:
                        - mobility
                        - hearing
                        - sight
                        - learning_disability
                        - mental_health
                        - other
                  contractorRisks:
                    type: array
                    items:
                      type: string
                      enum:
                        - pets
                        - aggressive_behaviour
                        - hoarding
                        - medical_equipment
                        - other
                  contactType:
                    anyOf:
                      - type: string
                        enum:
                          - next_of_kin
                          - other_occupier
                          - advocate
                          - ombudsman
                          - councillor
                          - solicitor
                          - council
                          - social
                          - insurance
                          - specialist
                          - utility
                          - other
                          - building_manager
                          - emergency_line
                      - type: 'null'
                  propertyScope:
                    anyOf:
                      - type: string
                        enum:
                          - general
                          - all
                          - some
                      - type: 'null'
                  propertyIds:
                    type: array
                    items:
                      type: string
                  organisation:
                    anyOf:
                      - type: string
                      - type: 'null'
                  jobTitle:
                    anyOf:
                      - type: string
                      - type: 'null'
                  relationship:
                    anyOf:
                      - type: string
                        enum:
                          - partner
                          - parent
                          - son_or_daughter
                          - brother_or_sister
                          - friend
                          - carer
                          - other
                      - type: 'null'
                  reference:
                    anyOf:
                      - type: string
                      - type: 'null'
                  actingForContactId:
                    anyOf:
                      - type: string
                      - type: 'null'
                  discussConsentAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                  discussConsentBy:
                    anyOf:
                      - anyOf:
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - user
                              userId:
                                type: string
                            required:
                              - kind
                              - userId
                            additionalProperties: false
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - api-key
                              keyId:
                                type: string
                              keyName:
                                type: string
                              userId:
                                type: string
                            required:
                              - kind
                              - keyId
                              - keyName
                              - userId
                            additionalProperties: false
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - system
                            required:
                              - kind
                            additionalProperties: false
                      - type: 'null'
                  notes:
                    anyOf:
                      - type: string
                      - type: 'null'
                required:
                  - id
                  - kind
                  - name
                  - firstName
                  - lastName
                  - email
                  - mobile
                  - addressLine1
                  - addressLine2
                  - addressTown
                  - addressPostcode
                  - overseas
                  - archivedAt
                  - createdAt
                  - roles
                  - companyId
                  - companyRevision
                  - companyRole
                  - companyLinkRevision
                  - mergedIntoId
                  - mergedAt
                  - accessNeeds
                  - contractorRisks
                  - contactType
                  - propertyScope
                  - propertyIds
                  - organisation
                  - jobTitle
                  - relationship
                  - reference
                  - actingForContactId
                  - discussConsentAt
                  - discussConsentBy
                  - notes
                additionalProperties: false
        '400':
          description: >-
            TenantCreateRejected | ConfigMissing | IntegrationRejected |
            AuthRejected | RegistrationRejected | UnknownIntegration |
            WebhookUnroutable | RateUnavailable | PeopleWizardInvalid
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantCreateRejectedEncoded'
                  - $ref: '#/components/schemas/ConfigMissingEncoded'
                  - $ref: '#/components/schemas/IntegrationRejectedEncoded'
                  - $ref: '#/components/schemas/AuthRejectedEncoded'
                  - $ref: '#/components/schemas/RegistrationRejectedEncoded'
                  - $ref: '#/components/schemas/UnknownIntegrationEncoded'
                  - $ref: '#/components/schemas/WebhookUnroutableEncoded'
                  - $ref: '#/components/schemas/RateUnavailableEncoded'
                  - $ref: '#/components/schemas/PeopleWizardInvalidEncoded'
        '401':
          description: Unauthenticated | WebhookRejected | ApiKeyRejected
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UnauthenticatedEncoded'
                  - $ref: '#/components/schemas/WebhookRejectedEncoded'
                  - $ref: '#/components/schemas/ApiKeyRejectedEncoded'
        '402':
          description: TenantSuspended | PlanRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantSuspendedEncoded'
                  - $ref: '#/components/schemas/PlanRequiredEncoded'
        '403':
          description: >-
            EntitlementMissing | NotAMember | ScopeUnknown | ScopeMissing |
            TenantMismatch | WorkspaceOwnerRequired | WorkspaceRoleRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EntitlementMissingEncoded'
                  - $ref: '#/components/schemas/NotAMemberEncoded'
                  - $ref: '#/components/schemas/ScopeUnknownEncoded'
                  - $ref: '#/components/schemas/ScopeMissingEncoded'
                  - $ref: '#/components/schemas/TenantMismatchEncoded'
                  - $ref: '#/components/schemas/ContactIdentityForbiddenError'
                  - $ref: '#/components/schemas/WorkspaceOwnerRequiredEncoded'
                  - $ref: '#/components/schemas/WorkspaceRoleRequiredEncoded'
        '404':
          description: TenantNotFound | ModuleRequestNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantNotFoundEncoded'
                  - $ref: '#/components/schemas/ModuleRequestNotFoundEncoded'
        '409':
          description: WebhookDuplicate | RegistrationConflict | MoneyBusy
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/WebhookDuplicateEncoded'
                  - $ref: '#/components/schemas/RegistrationConflictEncoded'
                  - $ref: '#/components/schemas/MoneyBusyEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedEncoded'
        '503':
          description: IntegrationUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationUnavailableEncoded'
      security:
        - apiKey: []
components:
  schemas:
    AddGeneralContactBody:
      type: object
      properties:
        firstName:
          type: string
        lastName:
          anyOf:
            - anyOf:
                - type: string
                - type: 'null'
            - type: 'null'
        email:
          anyOf:
            - anyOf:
                - type: string
                - type: 'null'
            - type: 'null'
        phone:
          anyOf:
            - anyOf:
                - type: string
                - type: 'null'
            - type: 'null'
        prefers:
          anyOf:
            - anyOf:
                - type: string
                  enum:
                    - email
                    - phone
                    - post
                - type: 'null'
            - type: 'null'
        propertyScope:
          type: string
          enum:
            - general
            - all
            - some
        propertyIds:
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
        contactType:
          type: string
          enum:
            - next_of_kin
            - other_occupier
            - advocate
            - ombudsman
            - councillor
            - solicitor
            - council
            - social
            - insurance
            - specialist
            - utility
            - other
            - building_manager
            - emergency_line
        jobTitle:
          anyOf:
            - anyOf:
                - type: string
                - type: 'null'
            - type: 'null'
        organisation:
          anyOf:
            - anyOf:
                - type: string
                - type: 'null'
            - type: 'null'
        relationship:
          anyOf:
            - anyOf:
                - type: string
                  enum:
                    - partner
                    - parent
                    - son_or_daughter
                    - brother_or_sister
                    - friend
                    - carer
                    - other
                - type: 'null'
            - type: 'null'
        reference:
          anyOf:
            - anyOf:
                - type: string
                - type: 'null'
            - type: 'null'
        actingForContactId:
          anyOf:
            - anyOf:
                - type: string
                - type: 'null'
            - type: 'null'
        occupierConsent:
          anyOf:
            - type: boolean
            - type: 'null'
        notes:
          anyOf:
            - anyOf:
                - type: string
                - type: 'null'
            - type: 'null'
      required:
        - firstName
        - propertyScope
        - contactType
      additionalProperties: false
    TenantCreateRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantCreateRejected
        reason:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - reason
      additionalProperties: false
    ConfigMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ConfigMissing
        key:
          type: string
      required:
        - _tag
        - key
      additionalProperties: false
    IntegrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    AuthRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AuthRejected
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    RegistrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationRejected
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnknownIntegrationEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnknownIntegration
        integration:
          type: string
      required:
        - _tag
        - integration
      additionalProperties: false
    WebhookUnroutableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookUnroutable
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    RateUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateUnavailable
        base:
          type: string
        quote:
          type: string
        'on':
          type: string
      required:
        - _tag
        - base
        - quote
        - 'on'
      additionalProperties: false
    PeopleWizardInvalidEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - PeopleWizardInvalid
        field:
          type: string
        message:
          type: string
      required:
        - _tag
        - field
        - message
      additionalProperties: false
    UnauthenticatedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - Unauthenticated
      required:
        - _tag
      additionalProperties: false
    WebhookRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    ApiKeyRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ApiKeyRejected
      required:
        - _tag
      additionalProperties: false
    TenantSuspendedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantSuspended
        tenantId:
          type: string
        reason:
          type: string
      required:
        - _tag
        - tenantId
        - reason
      additionalProperties: false
    PlanRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - PlanRequired
        tenantId:
          type: string
      required:
        - _tag
        - tenantId
      additionalProperties: false
    EntitlementMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - EntitlementMissing
        tenantId:
          type: string
        moduleId:
          type: string
      required:
        - _tag
        - tenantId
        - moduleId
      additionalProperties: false
    NotAMemberEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - NotAMember
        userId:
          type: string
        slug:
          type: string
      required:
        - _tag
        - userId
        - slug
      additionalProperties: false
    ScopeUnknownEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeUnknown
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    ScopeMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeMissing
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    TenantMismatchEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantMismatch
        header:
          type: string
        organizationId:
          type: string
      required:
        - _tag
        - header
        - organizationId
      additionalProperties: false
    ContactIdentityForbiddenError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ContactIdentityForbidden
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    WorkspaceOwnerRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceOwnerRequired
      required:
        - _tag
      additionalProperties: false
    WorkspaceRoleRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceRoleRequired
        role:
          anyOf:
            - type: string
            - type: 'null'
        required:
          type: array
          items:
            type: string
        message:
          type: string
      required:
        - _tag
        - role
        - required
        - message
      additionalProperties: false
    TenantNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantNotFound
        slug:
          type: string
      required:
        - _tag
        - slug
      additionalProperties: false
    ModuleRequestNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ModuleRequestNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    WebhookDuplicateEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookDuplicate
        integration:
          type: string
        externalId:
          type: string
      required:
        - _tag
        - integration
        - externalId
      additionalProperties: false
    RegistrationConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationConflict
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    MoneyBusyEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MoneyBusy
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateLimited
        key:
          type: string
        retryAfterSeconds:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - key
        - retryAfterSeconds
        - message
      additionalProperties: false
    IntegrationUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationUnavailable
        integration:
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - integration
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        A workspace API key (Settings → API keys), scoped to `<group>:read` /
        `<group>:write`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.